MatchActionInfo (Jakarta-ORO 2.0.8 API)
Date: 2018-05-07

org.apache.oro.text

## Class MatchActionInfo

- java.lang.Object
- - org.apache.oro.text.MatchActionInfo

-     public final class MatchActionInfo
      extends java.lang.Object

  This class is used to provide information regarding a match found by MatchActionProcessor to a MatchAction callback implementation.
  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `MatchAction`, `MatchActionProcessor`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `char[]` | `charLine` The char[] representation of the matching line with the trailing newline truncated.
    `java.util.List` | `fields` A List of Strings containing the fields of the line that were separated out by the fieldSeparator.
    `Pattern` | `fieldSeparator` The field separator used by the MatchActionProcessor.
    `java.io.BufferedReader` | `input` The input stream passed to the MatchActionProcessor from which the matching line was read.
    `java.lang.String` | `line` The String representation of the matching line with the trailing newline truncated.
    `int` | `lineNumber` The line number of the matching line
    `MatchResult` | `match` The first match found in the line of input.
    `PatternMatcher` | `matcher` The PatternMatcher used to find the match.
    `java.io.PrintWriter` | `output` The output stream passed to the MatchActionProcessor.
    `Pattern` | `pattern` The pattern found in the line of input.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatchActionInfo()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lineNumber

          public int lineNumber

      The line number of the matching line

    - #### line

          public java.lang.String line

      The String representation of the matching line with the trailing newline truncated.

    - #### charLine

          public char[] charLine

      The char[] representation of the matching line with the trailing newline truncated.

    - #### fieldSeparator

          public Pattern fieldSeparator

      The field separator used by the MatchActionProcessor. This will be set to null by a MatchActionProcessor instance if no field separator was specified before match processing began.

    - #### fields

          public java.util.List fields

      A List of Strings containing the fields of the line that were separated out by the fieldSeparator. If no field separator was specified, this variable will be set to null.

    - #### matcher

          public PatternMatcher matcher

      The PatternMatcher used to find the match.

    - #### pattern

          public Pattern pattern

      The pattern found in the line of input. If a MatchAction callback is registered with a null pattern (meaning the callback should be applied to every line of input), this value will be null.

    - #### match

          public MatchResult match

      The first match found in the line of input. If a MatchAction callback is registered with a null pattern (meaning the callback should be applied to every line of input), this value will be null.

    - #### output

          public java.io.PrintWriter output

      The output stream passed to the MatchActionProcessor.

    - #### input

          public java.io.BufferedReader input

      The input stream passed to the MatchActionProcessor from which the matching line was read.

  - ### Constructor Detail

    - #### MatchActionInfo

          public MatchActionInfo()

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.